/* $Id: menu.h,v 1.8 91/02/26 16:14:39 jdf Exp $ */
#ifndef _XmMenu_h
#define _XmMenu_h

#ifndef _CC_XmRowColumn_h
#include "WWL/XmRowColumn.h"
#endif

#ifndef _CC_XmCascadeButton_h
#include "WWL/XmCascadeButton.h"
#endif
#ifndef _CC_XmPushButtonGadget_h
#include "WWL/XmPushButtonGadget.h"
#endif
#ifndef _CC_XmLabelGadget_h
#include "WWL/XmLabelGadget.h"
#endif

class WXmPopupMenu : public WXmRowColumn {
public :
		WXmPopupMenu (WComposite& father, char* name = NULL, ArgList args = NULL, Cardinal card = 0);
		~WXmPopupMenu ();
	WXmPushButtonGadget AddPushButton (char* name, XtCallbackProc proc = (XtCallbackProc)NULL, caddr_t closure = NULL, ArgList args = NULL, Cardinal card = 0);
	WXmPushButtonGadget AddPushButton (char* name, WWL*, WWL_FUN, ArgList args = NULL, Cardinal card = 0);
};

class WXmPulldownMenu : public WXmRowColumn {
public :
		WXmPulldownMenu (WXmRowColumn& father, char* name, ArgList args = NULL, Cardinal card = 0) : (XmCreatePulldownMenu(Widget(father), name, args, card)) { }

	WXmPushButtonGadget AddPushButton (char* name, XtCallbackProc proc = (XtCallbackProc)NULL, caddr_t closure = NULL, ArgList args = NULL, Cardinal card = 0);
	WXmPushButtonGadget AddPushButton (char* name, WWL*, WWL_FUN, ArgList args = NULL, Cardinal card = 0);
};



class WXmMenuBar : public WXmRowColumn {
public :
		WXmMenuBar (WComposite& father, char* name = NULL, ArgList args = NULL, Cardinal card = 0) : (XmCreateMenuBar (Widget(father), name, args, card)) { }
	WXmCascadeButton	AddCascadeButton (char* name, char mnemonic);
	WXmCascadeButton	AddCascadeMenu (char* name, char mnemonic, WXmPulldownMenu& menu) { WXmCascadeButton cb(AddCascadeButton(name, mnemonic)); cb.SubMenuId(menu); return cb; }
};


#endif
